"use strict";
class RequestError extends Error {
    constructor(msg, host, path, res) {
        const attrs = [
            `host=${host}`,
            `path=${path}`,
            `status=${res ? res.statusCode : 'none'}`,
        ];
        const m = `${msg} ${attrs.join(' ')}${res ? '\n' + res.text : ''}`;
        super(m);
        if (res) {
            this.status = res.statusCode;
            this.statusCode = this.status;
            this.response = res;
        }
    }
}
module.exports = RequestError;
